Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class BasePlugin

    java.lang.Object
      org.gradle.api.plugins.BasePlugin

All Implemented Interfaces:
  Plugin

    public class BasePlugin

A Plugin which defines a basic project lifecycle and some common convention properties.

Field Summary
`static String` | `ASSEMBLE_TASK_NAME`
`static String` | `BUILD_GROUP`
`static String` | `CLEAN_TASK_NAME`
`static String` | `UPLOAD_GROUP`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ASSEMBLE_TASK_NAME

    public static final String ASSEMBLE_TASK_NAME

### BUILD_GROUP

    public static final String BUILD_GROUP

### CLEAN_TASK_NAME

    public static final String CLEAN_TASK_NAME

### UPLOAD_GROUP

    public static final String UPLOAD_GROUP

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10